コード例 #1
0
def makeFemConstraintSelfWeight(name="FemConstraintSelfWeight"):
    '''makeFemFemConstraintSelfWeight([name]): creates an beamsection object to define a cross section'''
    obj = FemGui.getActiveAnalysis().Document.addObject("Fem::FeaturePython", name)
    _FemConstraintSelfWeight._FemConstraintSelfWeight(obj)
    if FreeCAD.GuiUp:
        import _ViewProviderFemConstraintSelfWeight
        _ViewProviderFemConstraintSelfWeight._ViewProviderFemConstraintSelfWeight(obj.ViewObject)
    return obj
コード例 #2
0
def makeFemConstraintSelfWeight(name="FemConstraintSelfWeight"):
    '''makeFemFemConstraintSelfWeight([name]): creates an self weight object to define a gravity load'''
    obj = FreeCAD.ActiveDocument.addObject("Fem::FeaturePython", name)
    _FemConstraintSelfWeight._FemConstraintSelfWeight(obj)
    if FreeCAD.GuiUp:
        import _ViewProviderFemConstraintSelfWeight
        _ViewProviderFemConstraintSelfWeight._ViewProviderFemConstraintSelfWeight(obj.ViewObject)
    return obj